Query metric range

View as Markdown
Query data for a particular metric for a node, node group, or compute zone over a range of time

Query parameters

startstringOptional

Start time in RFC3339 format (required for absolute mode, e.g., 2024-01-01T01:00:00Z). Cannot be more than 1 year in the past.

endstringOptional

End time in RFC3339 format (required for absolute mode, e.g., 2024-01-01T01:00:00Z)

timeModeenumOptional
Time mode for range selection. Defaults to absolute.
Allowed values:
windowstringOptional

Relative duration window (required for relative mode). Valid units: h, m, s (e.g. 24h, 1h30m, 90m). ‘d’ is not supported; use hours instead (e.g. 168h for 7 days)

stepstringRequired

Query resolution step width in duration format (e.g. 1h, 1m). Minimum step width is 1 minute.

componentstringRequired

Component name (e.g., accelerator-nvidia-clock-speed)

metricstringRequired

Name of the metric to query (e.g., accelerator_nvidia_clock_speed_graphics_mhz)

entityLevelenumRequired
The level of the entity to query for. In the future we intend to support aggregation across tags, node groups, and compute zones
Allowed values:
entityIDstringRequired
The ID of the compute zone, node group, or node

Response

Successful response” (NOTE: the result fields will be JSON objects and JSON arrays in the actual response, not strings)

warningobject

e.g. omitted invalid metric points; null when no issues

resultlist of objectsOptional

NodeAggregationFunction string json:"nodeAggregationFunction" example:"avg" // TODO: add this in later

stepstringOptional
stepAggregationFunctionstringOptional
timeRangeobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
499
Client Closed Request Error
500
Internal Server Error
503
Service Unavailable Error